Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 81d3242ba4b2ff06ed0202cea68e64f93fa09b6c)
+++ chapter01/changelog.xml	(revision 6af4dabc16cc044f4d65372cdbd203310df08e20)
@@ -41,4 +41,34 @@
     -->
     <listitem>
+      <para>2022-02-15</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Add binutils-2.38 LTO patch. Fixes
+          <ulink url="&lfs-ticket-root;5011">#5011</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to util-linux-2.37.4. Fixes
+          <ulink url="&lfs-ticket-root;5010">#5010</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-db-2.10.1. Fixes
+          <ulink url="&lfs-ticket-root;5009">#5009</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.16.9. Fixes
+          <ulink url="&lfs-ticket-root;5008">#5008</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.4383. Addresses
+          <ulink url="&lfs-ticket-root;4500">#4500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20220207. Addresses
+          <ulink url="&lfs-ticket-root;5006">#5006</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2022-02-10</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 81d3242ba4b2ff06ed0202cea68e64f93fa09b6c)
+++ chapter01/whatsnew.xml	(revision 6af4dabc16cc044f4d65372cdbd203310df08e20)
@@ -178,7 +178,7 @@
       <para>Make-&make-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Man-DB-&man-db-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Man-pages-&man-pages-version;</para>
@@ -286,4 +286,7 @@
     <listitem><para></para></listitem>  <!-- satisfy build -->
     <listitem>
+       <para>binutils-2.38-lto_fix-1.patch</para>
+    </listitem>
+    <listitem>
        <para>coreutils-9.0-chmod_fix-1.patch</para>
     </listitem>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 81d3242ba4b2ff06ed0202cea68e64f93fa09b6c)
+++ chapter03/patches.xml	(revision 6af4dabc16cc044f4d65372cdbd203310df08e20)
@@ -36,13 +36,13 @@
     </varlistentry>
 -->
-<!--
+
     <varlistentry>
-      <term>Binutils Upstream Fix Patch - <token>&binutils-upstream-patch-size;</token>:</term>
+      <term>Binutils LTO Fix Patch - <token>&binutils-lto-patch-size;</token>:</term>
       <listitem>
-        <para>Download: <ulink url="&patches-root;&binutils-upstream-patch;"/></para>
-        <para>MD5 sum: <literal>&binutils-upstream-patch-md5;</literal></para>
+        <para>Download: <ulink url="&patches-root;&binutils-lto-patch;"/></para>
+        <para>MD5 sum: <literal>&binutils-lto-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
--->
+
     <varlistentry>
       <term>Bzip2 Documentation Patch - <token>&bzip2-docs-patch-size;</token>:</term>
Index: chapter08/binutils.xml
===================================================================
--- chapter08/binutils.xml	(revision 81d3242ba4b2ff06ed0202cea68e64f93fa09b6c)
+++ chapter08/binutils.xml	(revision 6af4dabc16cc044f4d65372cdbd203310df08e20)
@@ -57,10 +57,10 @@
 <screen><computeroutput>The system has no more ptys.
 Ask your system administrator to create more.</computeroutput></screen>
-<!--
-    <para>Upstream has made a patch to fix a problem building some
-    packages.  Apply that now:</para>
-
- <screen><userinput remap="pre">patch -Np1 -i ../&binutils-upstream-patch;</userinput></screen>
--->
+
+    <para>Upstream has made a patch to fix a problem when building with
+    Link Time Optimization (LTO).  Apply that now:</para>
+
+ <screen><userinput remap="pre">patch -Np1 -i ../&binutils-lto-patch;</userinput></screen>
+
 <!--
     <para>An error in the building system causes the shipped man pages to
Index: chapter08/util-linux.xml
===================================================================
--- chapter08/util-linux.xml	(revision 81d3242ba4b2ff06ed0202cea68e64f93fa09b6c)
+++ chapter08/util-linux.xml	(revision 6af4dabc16cc044f4d65372cdbd203310df08e20)
@@ -60,6 +60,5 @@
             --without-python     \
             --without-systemd    \
-            --without-systemdsystemunitdir \
-            runstatedir=/run</userinput></screen>
+            --without-systemdsystemunitdir</userinput></screen>
 
 <screen revision="systemd"><userinput remap="configure">./configure ADJTIME_PATH=/var/lib/hwclock/adjtime   \
@@ -76,6 +75,5 @@
             --disable-pylibmount \
             --disable-static     \
-            --without-python     \
-            runstatedir=/run</userinput></screen>
+            --without-python</userinput></screen>
 
     <para>The --disable and --without options prevent warnings about
Index: packages.ent
===================================================================
--- packages.ent	(revision 81d3242ba4b2ff06ed0202cea68e64f93fa09b6c)
+++ packages.ent	(revision 6af4dabc16cc044f4d65372cdbd203310df08e20)
@@ -36,5 +36,5 @@
 <!ENTITY autoconf-home "&gnu-software;autoconf/">
 <!ENTITY autoconf-fin-du "24 MB">
-<!ENTITY autoconf-fin-sbu-tests "7.3">
+<!ENTITY autoconf-fin-sbu-tests "6.8">
 <!ENTITY autoconf-fin-sbu "less than 0.1 SBU (about &autoconf-fin-sbu-tests; SBU with tests)">
 
@@ -47,5 +47,5 @@
 <!ENTITY automake-home "&gnu-software;automake/">
 <!ENTITY automake-fin-du "115 MB">
-<!ENTITY automake-fin-sbu "less than 0.1 SBU (about 8.9 SBU with tests)">
+<!ENTITY automake-fin-sbu "less than 0.1 SBU (about 8.3 SBU with tests)">
 
 <!ENTITY bash-version "5.1.16">
@@ -57,5 +57,5 @@
 <!ENTITY bash-tmp-sbu "0.4 SBU">
 <!ENTITY bash-fin-du "50 MB">
-<!ENTITY bash-fin-sbu "1.6 SBU">
+<!ENTITY bash-fin-sbu "1.5 SBU">
 
 <!ENTITY bc-version "5.2.2">
@@ -64,5 +64,5 @@
 <!ENTITY bc-md5 "632344cdb052af0e06087bd3b0034126">
 <!ENTITY bc-home "https://git.yzena.com/gavin/bc">
-<!ENTITY bc-fin-du "6.7 MB">
+<!ENTITY bc-fin-du "7.1 MB">
 <!ENTITY bc-fin-sbu "less than 0.1 SBU">
 
@@ -72,10 +72,10 @@
 <!ENTITY binutils-md5 "6e39cad1bb414add02b5b1169c18fdc5">
 <!ENTITY binutils-home "&gnu-software;binutils/">
-<!ENTITY binutils-tmpp1-du "602 MB">
+<!ENTITY binutils-tmpp1-du "620 MB">
 <!ENTITY binutils-tmpp1-sbu "1 SBU">
-<!ENTITY binutils-tmpp2-du "505 MB">
+<!ENTITY binutils-tmpp2-du "520 MB">
 <!ENTITY binutils-tmpp2-sbu "1.3 SBU">
-<!ENTITY binutils-fin-du "4.5 GB">
-<!ENTITY binutils-fin-sbu "6.3 SBU">
+<!ENTITY binutils-fin-du "4.6 GB">
+<!ENTITY binutils-fin-sbu "6.1 SBU">
 
 <!ENTITY bison-version "3.8.2">
@@ -103,5 +103,5 @@
 <!ENTITY check-home "https://libcheck.github.io/check">
 <!ENTITY check-fin-du "12 MB">
-<!ENTITY check-fin-sbu "0.1 SBU (about 4.1 SBU with tests)">
+<!ENTITY check-fin-sbu "0.1 SBU (about 3.8 SBU with tests)">
 
 <!ENTITY coreutils-version "9.0">
@@ -110,5 +110,5 @@
 <!ENTITY coreutils-md5 "0d79ae8a6124546e3b94171375e5e5d0">
 <!ENTITY coreutils-home "&gnu-software;coreutils/">
-<!ENTITY coreutils-tmp-du "151 MB">
+<!ENTITY coreutils-tmp-du "158 MB">
 <!ENTITY coreutils-tmp-sbu "0.6 SBU">
 <!ENTITY coreutils-fin-du "153 MB">
@@ -121,5 +121,5 @@
 <!ENTITY dbus-home "https://www.freedesktop.org/wiki/Software/dbus">
 <!ENTITY dbus-fin-du "18 MB">
-<!ENTITY dbus-fin-sbu "0.2 SBU">
+<!ENTITY dbus-fin-sbu "0.1 SBU">
 
 <!ENTITY dejagnu-version "1.6.3">
@@ -136,8 +136,8 @@
 <!ENTITY diffutils-md5 "6a6b0fdc72acfe3f2829aab477876fbc">
 <!ENTITY diffutils-home "&gnu-software;diffutils/">
-<!ENTITY diffutils-tmp-du "28 MB">
+<!ENTITY diffutils-tmp-du "27 MB">
 <!ENTITY diffutils-tmp-sbu "0.2 SBU">
-<!ENTITY diffutils-fin-du "36 MB">
-<!ENTITY diffutils-fin-sbu "0.7 SBU">
+<!ENTITY diffutils-fin-du "34 MB">
+<!ENTITY diffutils-fin-sbu "0.6 SBU">
 
 <!ENTITY e2fsprogs-version "1.46.5">
@@ -147,12 +147,12 @@
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-fin-du "93 MB">
-<!ENTITY e2fsprogs-fin-sbu "4.4 SBU on a spinning disk, 1.5 SBU on an SSD">
-
-<!ENTITY elfutils-version "0.186">
+<!ENTITY e2fsprogs-fin-sbu "4.4 SBU on a spinning disk, 1.3 SBU on an SSD">
+
+<!ENTITY elfutils-version "0.186"> <!-- libelf -->
 <!ENTITY elfutils-size "9,015 KB">
 <!ENTITY elfutils-url "https://sourceware.org/ftp/elfutils/&elfutils-version;/elfutils-&elfutils-version;.tar.bz2">
 <!ENTITY elfutils-md5 "2c095e31e35d6be7b3718477b6d52702">
 <!ENTITY elfutils-home "https://sourceware.org/elfutils/">
-<!ENTITY elfutils-fin-du "115 MB">
+<!ENTITY elfutils-fin-du "116 MB">
 <!ENTITY elfutils-fin-sbu "0.9 SBU">
 
@@ -161,5 +161,5 @@
 <!ENTITY eudev-url "https://github.com/eudev-project/eudev/releases/download/v&eudev-version;/eudev-&eudev-version;.tar.gz">
 <!ENTITY eudev-md5 "417ba948335736d4d81874fba47a30f7">
-<!ENTITY eudev-fin-du "80 MB">
+<!ENTITY eudev-fin-du "83 MB">
 <!ENTITY eudev-fin-sbu "0.2 SBU">
 
@@ -186,6 +186,6 @@
 <!ENTITY file-md5 "18233bb0a0089dfdc7dfbc93b96f231b">
 <!ENTITY file-home "https://www.darwinsys.com/file/">
-<!ENTITY file-tmp-du "31 MB">
-<!ENTITY file-tmp-sbu "0.2 SBU">
+<!ENTITY file-tmp-du "32 MB">
+<!ENTITY file-tmp-sbu "0.1 SBU">
 <!ENTITY file-fin-du "15 MB">
 <!ENTITY file-fin-sbu "0.1 SBU">
@@ -196,7 +196,7 @@
 <!ENTITY findutils-md5 "4a4a547e888a944b2f3af31d789a1137">
 <!ENTITY findutils-home "&gnu-software;findutils/">
-<!ENTITY findutils-tmp-du "40 MB">
+<!ENTITY findutils-tmp-du "42 MB">
 <!ENTITY findutils-tmp-sbu "0.2 SBU">
-<!ENTITY findutils-fin-du "52 MB">
+<!ENTITY findutils-fin-du "51 MB">
 <!ENTITY findutils-fin-sbu "0.9 SBU">
 
@@ -214,7 +214,7 @@
 <!ENTITY gawk-md5 "83650aa943ff2fd519b2abedf8506ace">
 <!ENTITY gawk-home "&gnu-software;gawk/">
-<!ENTITY gawk-tmp-du "43 MB">
+<!ENTITY gawk-tmp-du "45 MB">
 <!ENTITY gawk-tmp-sbu "0.2 SBU">
-<!ENTITY gawk-fin-du "42 MB">
+<!ENTITY gawk-fin-du "43 MB">
 <!ENTITY gawk-fin-sbu "0.4 SBU">
 
@@ -225,10 +225,10 @@
 <!ENTITY gcc-sha256 "d08edc536b54c372a1010ff6619dd274c0f1603aa49212ba20f7aa2cda36fa8b">
 <!ENTITY gcc-home "https://gcc.gnu.org/">
-<!ENTITY gcc-tmpp1-du "3.4 GB">
-<!ENTITY gcc-tmpp1-sbu "12 SBU">
+<!ENTITY gcc-tmpp1-du "3.3 GB">
+<!ENTITY gcc-tmpp1-sbu "11 SBU">
 <!ENTITY gcc-tmpp2-du "3.3 GB">
-<!ENTITY gcc-tmpp2-sbu "12 SBU">
+<!ENTITY gcc-tmpp2-sbu "11 SBU">
 <!ENTITY gcc-fin-du "4.3 GB ">
-<!ENTITY gcc-fin-sbu "164 SBU (with tests)">
+<!ENTITY gcc-fin-sbu "153 SBU (with tests)">
 <!ENTITY libquadmath-version "0.0.0">
 <!ENTITY libstdcpp-version   "6.0.29">
@@ -236,5 +236,5 @@
 <!ENTITY libatomic-version   "1.2.0">
 
-<!ENTITY libstdcpp-tmpp1-du "1.0 GB">
+<!ENTITY libstdcpp-tmpp1-du "818 MB">
 <!ENTITY libstdcpp-tmpp1-sbu "0.4 SBU">
 <!ENTITY libstdcpp-tmpp2-du "1.1 GB">
@@ -246,5 +246,5 @@
 <!ENTITY gdbm-md5 "8551961e36bf8c70b7500d255d3658ec">
 <!ENTITY gdbm-home "&gnu-software;gdbm/">
-<!ENTITY gdbm-fin-du "11 MB">
+<!ENTITY gdbm-fin-du "13 MB">
 <!ENTITY gdbm-fin-sbu "0.1 SBU">
 
@@ -255,7 +255,7 @@
 <!ENTITY gettext-home "&gnu-software;gettext/">
 <!ENTITY gettext-tmp-du "280 MB">
-<!ENTITY gettext-tmp-sbu "1.8 SBU">
-<!ENTITY gettext-fin-du "231 MB">
-<!ENTITY gettext-fin-sbu "2.9 SBU">
+<!ENTITY gettext-tmp-sbu "1.6 SBU">
+<!ENTITY gettext-fin-du "233 MB">
+<!ENTITY gettext-fin-sbu "2.7 SBU">
 
 <!ENTITY glibc-version "2.35">
@@ -264,8 +264,8 @@
 <!ENTITY glibc-md5 "dd571c67d85d89d7f60b854a4e207423">
 <!ENTITY glibc-home "&gnu-software;libc/">
-<!ENTITY glibc-tmp-du "744 MB">
-<!ENTITY glibc-tmp-sbu "4.2 SBU">
-<!ENTITY glibc-fin-du "2.4 GB">
-<!ENTITY glibc-fin-sbu "21 SBU">
+<!ENTITY glibc-tmp-du "818 MB">
+<!ENTITY glibc-tmp-sbu "4.3 SBU">
+<!ENTITY glibc-fin-du "2.8 GB">
+<!ENTITY glibc-fin-sbu "24 SBU">
 <!--<!ENTITY libthread_db-version "1.0">-->
 
@@ -291,8 +291,8 @@
 <!ENTITY grep-md5 "7c9cca97fa18670a21e72638c3e1dabf">
 <!ENTITY grep-home "&gnu-software;grep/">
-<!ENTITY grep-tmp-du "25 MB">
+<!ENTITY grep-tmp-du "26 MB">
 <!ENTITY grep-tmp-sbu "0.2 SBU">
 <!ENTITY grep-fin-du "36 MB">
-<!ENTITY grep-fin-sbu "0.8 SBU">
+<!ENTITY grep-fin-sbu "0.9 SBU">
 
 <!ENTITY groff-version "1.22.4">
@@ -310,5 +310,5 @@
 <!ENTITY grub-home "&gnu-software;grub/">
 <!ENTITY grub-fin-du "158 MB">
-<!ENTITY grub-fin-sbu "0.8 SBU">
+<!ENTITY grub-fin-sbu "0.7 SBU">
 
 <!ENTITY gzip-version "1.11">
@@ -317,13 +317,13 @@
 <!ENTITY gzip-md5 "d1e93996dba00cab0caa7903cd01d454">
 <!ENTITY gzip-home "&gnu-software;gzip/">
-<!ENTITY gzip-tmp-du "10 MB">
+<!ENTITY gzip-tmp-du "11 MB">
 <!ENTITY gzip-tmp-sbu "0.1 SBU">
-<!ENTITY gzip-fin-du "19 MB">
+<!ENTITY gzip-fin-du "20 MB">
 <!ENTITY gzip-fin-sbu "0.1 SBU">
 
-<!ENTITY iana-etc-version "20220128">
+<!ENTITY iana-etc-version "20220207">
 <!ENTITY iana-etc-size "580 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "ff7207e953007fe8c96ba7e988122825">
+<!ENTITY iana-etc-md5 "81d865ce7fe4240d5abed48c3ca5fa9f">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.7 MB">
@@ -369,5 +369,5 @@
 <!ENTITY kbd-home "https://kbd-project.org/">
 <!ENTITY kbd-fin-du "33 MB">
-<!ENTITY kbd-fin-sbu "0.2 SBU">
+<!ENTITY kbd-fin-sbu "0.1 SBU">
 
 <!ENTITY kmod-version "29">
@@ -400,5 +400,5 @@
 <!ENTITY libcap-md5 "18410cec436f827e698ee9ea16ada9b7">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
-<!ENTITY libcap-fin-du "3.2 MB">
+<!ENTITY libcap-fin-du "2.7 MB">
 <!ENTITY libcap-fin-sbu "less than 0.1 SBU">
 
@@ -409,5 +409,5 @@
 <!ENTITY libffi-home "https://sourceware.org/libffi/">
 <!ENTITY libffi-fin-du "10 MB">
-<!ENTITY libffi-fin-sbu "2.0 SBU">
+<!ENTITY libffi-fin-sbu "1.9 SBU">
 
 <!ENTITY libpipeline-version "1.5.5">
@@ -416,5 +416,5 @@
 <!ENTITY libpipeline-md5 "3e725c76bfea1985e87e851ee50c2e29">
 <!ENTITY libpipeline-home "http://libpipeline.nongnu.org/">
-<!ENTITY libpipeline-fin-du "9.1 MB">
+<!ENTITY libpipeline-fin-du "9.7 MB">
 <!ENTITY libpipeline-fin-sbu "0.1 SBU">
 
@@ -429,10 +429,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "16">
-<!ENTITY linux-patch-version "8">
+<!ENTITY linux-patch-version "9">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!ENTITY linux-size "124,577 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "3318957435318f3802ce7edef2f30495">
+<!ENTITY linux-md5 "4d6a704bf3e249ef6189b6f17457084b">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is
@@ -453,7 +453,7 @@
 <!ENTITY m4-md5 "0d90823e1426f1da2fd872df0311298d">
 <!ENTITY m4-home "&gnu-software;m4/">
-<!ENTITY m4-tmp-du "32 MB">
+<!ENTITY m4-tmp-du "31 MB">
 <!ENTITY m4-tmp-sbu "0.2 SBU">
-<!ENTITY m4-fin-du "48 MB">
+<!ENTITY m4-fin-du "49 MB">
 <!ENTITY m4-fin-sbu "0.7 SBU">
 
@@ -466,13 +466,13 @@
 <!ENTITY make-tmp-sbu "0.1 SBU">
 <!ENTITY make-fin-du "13 MB">
-<!ENTITY make-fin-sbu "0.6 SBU">
-
-<!ENTITY man-db-version "2.10.0">
-<!ENTITY man-db-size "1,844 KB">
+<!ENTITY make-fin-sbu "0.5 SBU">
+
+<!ENTITY man-db-version "2.10.1">
+<!ENTITY man-db-size "1,847 KB">
 <!ENTITY man-db-url "&savannah;/releases/man-db/man-db-&man-db-version;.tar.xz">
-<!ENTITY man-db-md5 "96009cd422f2e62b01b8c4de0f5691f1">
+<!ENTITY man-db-md5 "b03b76a9a00d0d6b2299b823fba4f579">
 <!ENTITY man-db-home "https://www.nongnu.org/man-db/">
-<!ENTITY man-db-fin-du "38 MB">
-<!ENTITY man-db-fin-sbu "0.4 SBU">
+<!ENTITY man-db-fin-du "39 MB">
+<!ENTITY man-db-fin-sbu "0.3 SBU">
 
 <!ENTITY man-pages-version "5.13">
@@ -489,5 +489,5 @@
 <!ENTITY markupsafe-md5 "892e0fefa3c488387e5cc0cad2daa523">
 <!ENTITY markupsafe-home "https://markupsafe.palletsprojects.com/en/2.0.x/">
-<!ENTITY markupsafe-fin-du "516 KB">
+<!ENTITY markupsafe-fin-du "520 KB">
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
@@ -497,5 +497,5 @@
 <!ENTITY meson-md5 "8ed66d5537275df3defffb66d1fb897f">
 <!ENTITY meson-home "https://mesonbuild.com">
-<!ENTITY meson-fin-du "40 MB">
+<!ENTITY meson-fin-du "41 MB">
 <!ENTITY meson-fin-sbu "less than 0.1 SBU">
 
@@ -521,7 +521,7 @@
 <!ENTITY ncurses-md5 "a2736befde5fee7d2b7eb45eb281cdbe">
 <!ENTITY ncurses-home "&gnu-software;ncurses/">
-<!ENTITY ncurses-tmp-du "48 MB">
+<!ENTITY ncurses-tmp-du "50 MB">
 <!ENTITY ncurses-tmp-sbu "0.7 SBU">
-<!ENTITY ncurses-fin-du "34 MB">
+<!ENTITY ncurses-fin-du "45 MB">
 <!ENTITY ncurses-fin-sbu "0.4 SBU">
 
@@ -539,6 +539,6 @@
 <!ENTITY openssl-md5 "7d07e849d77d276891edd579a8832bb3">
 <!ENTITY openssl-home "https://www.openssl.org/">
-<!ENTITY openssl-fin-du "154 MB">
-<!ENTITY openssl-fin-sbu "2.2 SBU">
+<!ENTITY openssl-fin-du "474 MB">
+<!ENTITY openssl-fin-sbu "5.4 SBU">
 
 <!ENTITY patch-version "2.7.6">
@@ -562,7 +562,7 @@
 <!ENTITY perl-home "https://www.perl.org/">
 <!ENTITY perl-tmp-du "272 MB">
-<!ENTITY perl-tmp-sbu "1.7 SBU">
+<!ENTITY perl-tmp-sbu "1.6 SBU">
 <!ENTITY perl-fin-du "226 MB">
-<!ENTITY perl-fin-sbu "10 SBU">
+<!ENTITY perl-fin-sbu "9.3 SBU">
 
 <!ENTITY pkgconfig-version "0.29.2">
@@ -580,5 +580,5 @@
 <!ENTITY procps-ng-home "https://sourceforge.net/projects/procps-ng">
 <!ENTITY procps-ng-fin-du "19 MB">
-<!ENTITY procps-ng-fin-sbu "0.5 SBU">
+<!ENTITY procps-ng-fin-sbu "0.4 SBU">
 
 <!ENTITY psmisc-version "23.4">
@@ -599,8 +599,8 @@
 <!ENTITY python-md5 "14e8c22458ed7779a1957b26cde01db9">
 <!ENTITY python-home "https://www.python.org/">
-<!ENTITY python-tmp-du "347 MB">
+<!ENTITY python-tmp-du "359 MB">
 <!ENTITY python-tmp-sbu "1.2 SBU">
-<!ENTITY python-fin-du "260 MB">
-<!ENTITY python-fin-sbu "4.4 SBU">
+<!ENTITY python-fin-du "275 MB">
+<!ENTITY python-fin-sbu "4.3 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
 <!ENTITY python-docs-md5 "ffa52f0017baf72df9d32dec785fd6ab">
@@ -623,6 +623,6 @@
 <!ENTITY sed-tmp-du "20 MB">
 <!ENTITY sed-tmp-sbu "0.1 SBU">
-<!ENTITY sed-fin-du "30 MB">
-<!ENTITY sed-fin-sbu "0.5 SBU">
+<!ENTITY sed-fin-du "31 MB">
+<!ENTITY sed-fin-sbu "0.4 SBU">
 
 <!ENTITY shadow-version "4.11.1">
@@ -631,5 +631,5 @@
 <!ENTITY shadow-md5 "5a95ec069aa91508167d02fecafaa912">
 <!ENTITY shadow-home "https://shadow-maint.github.io/shadow/">
-<!ENTITY shadow-fin-du "45 MB">
+<!ENTITY shadow-fin-du "49 MB">
 <!ENTITY shadow-fin-sbu "0.2 SBU">
 
@@ -656,6 +656,6 @@
 <!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-man-version;.tar.xz">
 <!ENTITY systemd-man-md5  "af3aca39abe4e990cb2a9ac63dcdf506">
-<!ENTITY systemd-fin-du   "277 MB">
-<!ENTITY systemd-fin-sbu  "2.3 SBU">
+<!ENTITY systemd-fin-du   "273 MB">
+<!ENTITY systemd-fin-sbu  "2.2 SBU">
 
 <!ENTITY sysvinit-version "3.01">
@@ -675,5 +675,5 @@
 <!ENTITY tar-tmp-sbu "0.2 SBU">
 <!ENTITY tar-fin-du "40 MB">
-<!ENTITY tar-fin-sbu "1.9 SBU">
+<!ENTITY tar-fin-sbu "1.7 SBU">
 
 <!ENTITY tcl-version "8.6.12">
@@ -686,6 +686,6 @@
 <!ENTITY tcl-docs-md5 "a0d1a5b60bbb68f2f0bd3066a19c527a">
 <!ENTITY tcl-docs-size "1,176 KB">
-<!ENTITY tcl-tmp-du "80 MB">
-<!ENTITY tcl-tmp-sbu "3.7 SBU">
+<!ENTITY tcl-tmp-du "87 MB">
+<!ENTITY tcl-tmp-sbu "3.4 SBU">
 
 <!ENTITY texinfo-version "6.8">
@@ -695,5 +695,5 @@
 <!ENTITY texinfo-home "&gnu-software;texinfo/">
 <!ENTITY texinfo-tmp-du "109 MB">
-<!ENTITY texinfo-tmp-sbu "0.3 SBU">
+<!ENTITY texinfo-tmp-sbu "0.2 SBU">
 <!ENTITY texinfo-fin-du "112 MB">
 <!ENTITY texinfo-fin-sbu "0.6 SBU">
@@ -712,24 +712,24 @@
 
 <!ENTITY util-linux-minor "2.37">
-<!ENTITY util-linux-version "2.37.3"> <!-- 2.33.x -->
-<!ENTITY util-linux-size "5,983 KB">
+<!ENTITY util-linux-version "2.37.4"> <!-- 2.33.x -->
+<!ENTITY util-linux-size "5,971 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-minor;/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "36fe209806ede050ce124e4a2e6e66d4">
+<!ENTITY util-linux-md5 "755919e658c349cad9e1c7c771742d48">
 <!ENTITY util-linux-home "https://git.kernel.org/pub/scm/utils/util-linux/util-linux.git/">
-<!ENTITY util-linux-tmp-du "128 MB">
+<!ENTITY util-linux-tmp-du "129 MB">
 <!ENTITY util-linux-tmp-sbu "0.7 SBU">
 <!ENTITY util-linux-fin-du "261 MB">
 <!ENTITY util-linux-fin-sbu "1.1 SBU">
 
-<!ENTITY vim-version "8.2.4236">
+<!ENTITY vim-version "8.2.4383">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
-<!ENTITY vim-size "15,630 KB">
+<!ENTITY vim-size "15,622 KB">
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
 <!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "62f4d45fcb8051469c9b08874b6a5e0d">
+<!ENTITY vim-md5 "3168ff48e382a1201bd0cbd0209bd3e0">
 <!ENTITY vim-home "https://www.vim.org">
-<!ENTITY vim-fin-du "199 MB">
-<!ENTITY vim-fin-sbu "2.3 SBU">
+<!ENTITY vim-fin-du "206 MB">
+<!ENTITY vim-fin-sbu "2.4 SBU">
 
 <!ENTITY xml-parser-version "2.46">
@@ -766,5 +766,5 @@
 <!ENTITY zstd-md5 "072b10f71f5820c24761a65f31f43e73">
 <!ENTITY zstd-home "https://facebook.github.io/zstd/">
-<!ENTITY zstd-fin-du "60 MB">
-<!ENTITY zstd-fin-sbu "1.4 SBU">
-
+<!ENTITY zstd-fin-du "55 MB">
+<!ENTITY zstd-fin-sbu "1.1 SBU">
+
Index: patches.ent
===================================================================
--- patches.ent	(revision 81d3242ba4b2ff06ed0202cea68e64f93fa09b6c)
+++ patches.ent	(revision 6af4dabc16cc044f4d65372cdbd203310df08e20)
@@ -11,9 +11,9 @@
 <!ENTITY bash-fixes-patch-size "22 KB">
 
-<!--
-<!ENTITY binutils-upstream-patch "binutils-&binutils-version;-upstream_fix-1.patch">
-<!ENTITY binutils-upstream-patch-md5 "3518fa864fe8d7ef65be4960f380b03b">
-<!ENTITY binutils-upstream-patch-size "8.0 KB">
--->
+
+<!ENTITY binutils-lto-patch "binutils-&binutils-version;-lto_fix-1.patch">
+<!ENTITY binutils-lto-patch-md5 "3df11b6123d5bbdb0fc83862a003827a">
+<!ENTITY binutils-lto-patch-size "3.5 KB">
+
 
 <!ENTITY bzip2-docs-patch "bzip2-&bzip2-version;-install_docs-1.patch">
